org.apache.xmlbeans.impl.schema

## Class ClassLoaderResourceLoader

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.ClassLoaderResourceLoader

- All Implemented Interfaces:
    ResourceLoader

      public class ClassLoaderResourceLoader
      extends Object
      implements ResourceLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassLoaderResourceLoader(ClassLoader classLoader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `InputStream` | `getResourceAsStream(String resourceName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassLoaderResourceLoader

          public ClassLoaderResourceLoader(ClassLoader classLoader)

  - ### Method Detail

    - #### getResourceAsStream

          public InputStream getResourceAsStream(String resourceName)

      Specified by:
        `getResourceAsStream` in interface `ResourceLoader`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ResourceLoader`